unit CameraDefs;

interface
uses WinApi.Windows;

{$IFDEF WIN32}
Const   DLLName = 'usblc3301x32.dll';
{$ELSE}
Const   DLLName = 'usblc3301x64.dll';
{$ENDIF}

        _512            = 512;
        _1kB            = _512 * 2;
        _2kB            = _1kB * 2;
        _4kB            = _2kB * 2;
        _8kB            = _4kB * 2;
        _16kB           = _8kB * 2;
        _32kB           = _16kB * 2;
        _64kB           = _32kB * 2;
        _128kB          = _64kB * 2;
        _256kB          = _128kB * 2;
        _512kB          = _256kB * 2;
        _1MB            = _512kB * 2;
        _2MB            = _1MB * 2;
        _4MB            = _2MB * 2;
        _8MB            = _4MB * 2;
        _16MB           = _8MB * 2;
        _32MB           = _16MB * 2;
        _64MB           = _32MB * 2;
        _128MB          = _64MB * 2;
        _256MB          = _128MB * 2;

        RET_OK                  = 0;

        _1ms    = 1;
        _1s     = 1000 * _1ms;

function ls_initialize(dwPipeSize, dwPacketLength, dwThreadClass : DWORD;
                       iThreadPrio : Integer; pcMsgID : PAnsiChar) : DWORD; stdcall; external DLLName;
function ls_enumdevices : Integer; stdcall; external DLLName;
function ls_getfwversion(AIndex : Integer) : WORD; stdcall; external DLLName;
function ls_getvendorname(AIndex : Integer) : PAnsiChar; stdcall; external DLLName;
function ls_getproductname(AIndex : Integer) : PAnsiChar; stdcall; external DLLName;
function ls_getserialnumber(AIndex : Integer) : PAnsiChar; stdcall; external DLLName;
function ls_devicecount : Byte; stdcall; external DLLName;
function ls_currentdeviceindex : Integer; stdcall; external DLLName;
function ls_opendevicebyindex(AIndex : Integer) : DWORD; stdcall; external DLLName;
function ls_opendevicebyserial(pcserialnum : PAnsiChar) : DWORD; stdcall; external DLLName;
function ls_closedevice : DWORD; stdcall; external DLLName;
function ls_waitforpipe(dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function ls_getpipe(lpBuffer : Pointer; nNumberOfBytesToRead: DWORD;
                    var lpNumberOfBytesRead: DWORD): DWORD; stdcall; external DLLName;
function ls_setpacketlength(dwPacketLength : DWORD) : DWORD; stdcall; external DLLName;
function ls_seteptimeout(dwtimeout : DWORD) : DWORD; stdcall; external DLLName;
function ls_geteptimeout : DWORD; stdcall; external DLLName;
function ls_getfps : DWORD; stdcall; external DLLName;
function ls_geterrorstring(dwErr : DWORD) : PAnsiChar; stdcall; external DLLName;

function ls_setmode(ucMode : Byte) : DWORD; stdcall; external DLLName;
function ls_setstate(ucState : Byte) : DWORD; stdcall; external DLLName;
function ls_setinttime(dwIntTime : DWORD) : DWORD; stdcall; external DLLName;
function ls_setcfg1(ucCFG1 : Byte) : DWORD; stdcall; external DLLName;
function ls_getmode(Var ucMode : Byte) : DWORD; stdcall; external DLLName;
function ls_getstate(Var ucState : Byte) : DWORD; stdcall; external DLLName;
function ls_getinttime(Var dwIntTime : DWORD) : DWORD; stdcall; external DLLName;
function ls_getcfg1(Var ucCFG1 : Byte) : DWORD; stdcall; external DLLName;
function ls_getpacketlength(Var dwPacketLength : DWORD) : DWORD; stdcall; external DLLName;
function ls_customfirmware(Var dwCustom : DWORD) : DWORD; stdcall; external DLLName;

function ls_getsensorname : PAnsiChar; stdcall; external DLLName;
function ls_getminmaxtime(Var ATMin, ATMax : DWORD) : DWORD; stdcall; external DLLName;
function ls_getpixelcount : word; stdcall; external DLLName;

function ls_setoffset(ucleft, uccenter, ucright : Byte) : DWORD; stdcall; external DLLName;
function ls_setgain(ucleft, uccenter, ucright : Byte) : DWORD; stdcall; external DLLName;
function ls_getoffset(var ucleft, uccenter, ucright : Byte) : DWORD; stdcall; external DLLName;
function ls_getgain(var ucleft, uccenter, ucright : Byte) : DWORD; stdcall; external DLLName;

function ls_savesettings : DWORD; stdcall; external DLLName;

implementation

end.
