unit UnitInfo;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, CameraDefs;

type
  TfmInfo = class(TForm)
    Label1: TLabel;
    lb_lscb_type: TLabel;
    Label2: TLabel;
    Label5: TLabel;
    lb_pixelcount: TLabel;
    Label4: TLabel;
    lb_mcu1_version: TLabel;
    lb_custom: TLabel;
    Label15: TLabel;
    btn_close: TButton;
    Label6: TLabel;
    lbdll: TLabel;
    procedure FormShow(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  fmInfo: TfmInfo;

implementation

{$R *.dfm}

procedure TfmInfo.FormShow(Sender: TObject);
var dwErr, dwcustom : DWORD;
    wVersion : WORD;
begin
  lb_lscb_type.Caption := String(ls_getsensorname);
  lb_pixelcount.Caption := IntToStr(ls_getpixelcount);

  wVersion := ls_getfwversion(ls_currentdeviceindex);
  lb_mcu1_version.Caption := Format('V%u.%2.2u',[Byte(wVersion shr 8),Byte(wVersion)]);

  lb_custom.Caption := '';
  dwErr := ls_customfirmware(dwcustom);
  if dwErr = RET_OK then
    lb_custom.Caption := IntToStr(dwcustom);

  lbdll.Caption := DLLName;
end;

end.
